콘텐츠로 건너뛰기

개요

디지털 배포 솔루션는새로운 엑솔라 솔루션으로 푸시 결제 기술 및 전자 상거래를 통한 결제를 기반으로 현금과 디지털을 연결하는 것을 목표로 합니다.

이 참조는 API 엔드포인트를 2개의 엑솔라 제품용으로 결합합니다. 인게임 스토어페이 스테이션. 2개의 기준 URL이 있습니다.

  • https://store.xsolla.com/api일반, 카탈로그, 장바구니, 주문 그룹용입니다.
  • https://ps.xsolla.com알림 그룹용입니다.

카탈로그 그룹의 API 엔드포인트는 권한 부여가 필요하지 않습니다.

장바구니주문 그룹의 연산 작업을 하려면 사용자 토큰 생성을 통해 토큰을 생성해야 합니다.

주의

이 참조는 향후 API 디자인을 나타내며 완전한 기능을 하는 인터페이스가 아닙니다. 현재 카탈로그알림 그룹 엔드포인트만 시도해 보실 수 있습니다. 피드백을 남기고 싶으시면 techdoc@xsolla.com으로 이메일을 보내주십시오.
OpenAPI 설명 다운로드
언어
서버
Mock server
https://xsolla.redocly.app/_mock/ko/api/digital-distribution-hub/
https://store.xsolla.com/api/
작업

현재 장바구니에서 모든 장바구니 아이템 삭제

요청

모든 장바구니 항목을 삭제합니다.

보안
AuthForClient
경로
project_idinteger필수

프로젝트 ID.

예제: 44056
curl -i -X PUT \
  https://xsolla.redocly.app/_mock/ko/api/digital-distribution-hub/v2/project/44056/cart/clear \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

응답

장바구니가 성공적으로 삭제되었습니다.

요청

장바구니에 아이템을 채웁니다. 장바구니에 동일한 SKU의 아이템이 이미 있는 경우 기존 아이템은 전달된 값으로 대체됩니다.

보안
AuthForClient
경로
project_idinteger필수

프로젝트 ID.

예제: 44056
본문application/json
currencystring(Cart-Payment_settings_currency)

선호하는 결제 통화입니다. 통화의 3자리 정의가 ISO 4217에 따라 사용됩니다.

itemsArray of objects필수

아이템 목록입니다.

items[].​quantitynumber필수
기본값 123
items[].​skustring필수
기본값 "booster_mega_1"
curl -i -X PUT \
  https://xsolla.redocly.app/_mock/ko/api/digital-distribution-hub/v2/project/44056/cart/fill \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '[
    {
      "quantity": 123,
      "sku": "booster_mega_1"
    }
  ]'

응답

상품이 포함된 장바구니가 성공적으로 반환되었습니다.

본문application/json
cart_idstring

장바구니 아이디.

예제: "cart_id"
is_freeboolean

true이면 장바구니가 무료입니다.

itemsArray of objects(Cart_inline_response_200_items)
priceobject or null(Cart_inline_response_200_price)

장바구니 가격.

예제: "{\"amount\":\"6150.0000000000000000\",\"amount_without_discount\":\"6150.0000000000000000\",\"currency\":\"USD\"}"
warningsArray of objects(Cart_inline_response_200_1_warnings)
예제: [{"attributes":[],"description":"Take it, take it all! All of Xsollas riches in one Mega Booster.","groups":[{"external_id":"powerups","name":"Power Ups"}],"image_url":"https://cdn.xsolla.net/img/misc/images/e9f2f4a634bc96ea03b5d5ceadd7c55f.png","inventory_options":{"consumable":{"usages_count":1}},"is_free":false,"name":"Xsolla Booster Mega","price":{"amount":"50.0000000000000000","amount_without_discount":"100.0000000000000000","currency":"USD"},"quantity":123,"sku":"booster_mega_1","type":"virtual_good","virtual_item_type":"consumable","virtual_prices":[]}]
응답
application/json
{ "cart_id": "cart_id", "is_free": false, "items": [ {} ], "price": { "amount": "6150.0000000000000000", "amount_without_discount": "6150.0000000000000000", "currency": "USD" }, "warnings": [ {} ] }

현재 장바구니에서 장바구니 아이템 삭제

요청

장바구니에서 아이템을 제거합니다.

보안
AuthForClient
경로
project_idinteger필수

프로젝트 ID.

예제: 44056
item_skustring필수

아이템 SKU.

예제: booster_mega_1
curl -i -X DELETE \
  https://xsolla.redocly.app/_mock/ko/api/digital-distribution-hub/v2/project/44056/cart/item/booster_mega_1 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

응답

장바구니에서 아이템이 성공적으로 삭제되었습니다.

응답
콘텐츠 없음
작업
작업
작업
작업
작업
작업